/*
 *
 *
 */
#define Q931PRIVATE
#include "Q931.h"

extern L3INT Q931L4HeaderSpace;
extern struct Q931MessageIE DSS1MessageIEs[];

/**
 * DSS1CreateNT
 * \brief	Initialize DSS1 TE dialect
 */
void DSS1CreateNT(struct Q931Dialect *d)
{
	/* Pre-Init from Q.931 NT */
	Q931CreateNT(d);

	/*
	 * Set new Name
	 */
	Q931DialectSetName(d, "DSS1 NT");

	/*
	 * Additional IEs
	 */
	Q931DialectSetIEProc(d, Q931ie_CONNECTED_SUBADDRESS, Q931Pie_Generic, Q931Uie_Generic);

	/*
	 * Additional Messages
	 */

	/*
	 * DSS1 message <-> ie table
	 */
	Q931DialectSetMesIEMap(d, DSS1MessageIEs);
}
